Bug 226568 - security/openvpn: OpenVPN 2.4.5 fails to compile with LibreSSL 2.6.4
Summary: security/openvpn: OpenVPN 2.4.5 fails to compile with LibreSSL 2.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
: 226584 (view as bug list)
Depends on:
Blocks: 226584
  Show dependency treegraph
Reported: 2018-03-13 08:20 UTC by Ralf van der Enden
Modified: 2018-03-16 17:41 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback+


Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-03-13 08:20:32 UTC
I'm not sure why this is happening with 2.4.5, since 2.4.4 builds just fine, but the build fails with a gcc4_error. The poudriere logfile can be found here:
Comment 1 OlivierW 2018-03-13 18:51:30 UTC

I can confirm the exact same problem.
I hope to find some free time to compare OpenVPN 2.4.4 and 2.4.5 files and see what changed.

Best Regards,
Comment 2 commit-hook freebsd_committer 2018-03-13 22:50:43 UTC
A commit references this bug:

Author: mandree
Date: Tue Mar 13 22:50:34 UTC 2018
New revision: 464440
URL: https://svnweb.freebsd.org/changeset/ports/464440

  Fix build with LibreSSL 2.4.6

  PR:		226568
  Reported by:	Ralf van der Enden
  Obtained from:	faminebadger <https://community.openvpn.net/openvpn/ticket/1038>

Comment 3 Matthias Andree freebsd_committer 2018-03-13 22:58:26 UTC
whooops, misspelled the LibreSSL version number in the commit log; I have tested the build with LibreSSL 2.6.4.
Comment 4 Matthias Andree freebsd_committer 2018-03-14 06:23:42 UTC
*** Bug 226584 has been marked as a duplicate of this bug. ***
Comment 5 OlivierW 2018-03-16 17:41:44 UTC
Works great, thanks a lot!

Best Regards,